---
type: docs
title: "Azure Container Apps"
linkTitle: "Azure Container Apps"
description: "Learn how to run your Dapr applications on the Azure Container Apps serverless platform "
---

[Azure Container Apps](https://docs.microsoft.com/azure/container-apps/overview) is a serverless application hosting service where users do not see nor manage any underlying VMs, orchestrators, or other cloud infrastructure. Azure Container Apps enables you to run your application code packaged in multiple containers and is unopinionated about runtimes or programming models that are used.


Dapr is built-in to Container Apps, enabling you to use the Dapr API building blocks without any manual deployment of the Dapr runtime. You simply deploy your services with their Dapr components.


{{< button text="Learn more" link="https://docs.microsoft.com/azure/container-apps/overview" newtab="true" >}}

## Tutorial

Visit the [Azure docs](https://docs.microsoft.com/azure/container-apps/microservices-dapr) to try out a microservices tutorial, where you'll deploy two Dapr-enabled applications to Azure Container Apps.



<img src="azure-container-apps-microservices-dapr.png" alt="Diagram of a Container Apps environment with two Dapr services" style="width:600px" >

{{< button text="Try out Dapr on Container Apps" link="https://docs.microsoft.com/azure/container-apps/microservices-dapr" newtab="true" >}}
